/***************************************************************************
 *   copyright       : (C) 2006 by Pascal Brachet                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PLAYLISTDIALOG_H
#define PLAYLISTDIALOG_H

#include "ui_playlistdialog.h"

#include <QListWidgetItem>
#include <QList>
#include <QStringList>
#include <QCloseEvent>

#include "playlisturldialog.h"

class PlaylistDialog : public QDialog  {
   Q_OBJECT
public:
	PlaylistDialog(QWidget *parent=0);
	~PlaylistDialog();
	Ui::PlaylistDialog ui;
QString tempPlayFile;
private:
bool modified;
QString playlistname;
QList<QStringList> mediacontent;
PlaylistUrlDialog *urlDlg;
QStringList mediaFilter;
QString cwd;

private slots:
void closeEvent(QCloseEvent *e);
void accept();
void fileOpen();
void fileSave();
void fileNew();
void addItem(QString name,QString fn);
void actionUp();
void actionDown();
void actionDelete();
void actionAddURL();
void actionAddFile();
void actionAddFolder();

void updateDirWidget();
void doubleclick(QListWidgetItem* item);

void playPlaylist();
};


#endif
